/* Fonts from Google Fonts - more at https://fonts.google.com */
@import url('https://fonts.googleapis.com/css?family=Open+Sans:400,700');
@import url('https://fonts.googleapis.com/css?family=Merriweather:400,700');



body{
  background: -webkit-linear-gradient(left, #000000, #000000);
  color: white;
  outline: none;

}


div{
  color : white;
}

textarea{
  color: white;
}

div:focus{
	outline:none;
	border:none;
	border:transparent;
}

button:focus{
	outline:none;
	border:none;
	border:transparent;
}

.sendMissionCadre{
  text-align: center;
  align-items: center;
  margin-top: 1cm;
  width: 75%;
  margin: auto;
}
.cadreReponse{
  padding: 10px;
  width: 65%;
  align-items: center;
  text-align: center;
  border-left: 2px solid grey;
  border-right: 2px solid grey;
  border-bottom: 1px solid grey;
  margin-left: 17.5%;
}

.ads{
	margin-top: 1cm;
	position: fixed;
}
.missionSuccessful{

	align-items: center;
	text-align: center;
	padding-top : 7px;
	padding-bottom: 7px;
	width: 40%;
	border-radius: 5px;

	background: green;
	color: white;
}

.missionAwaiting{
	align-items: center;
	text-align: center;
	background : orange;
	padding-top : 7px;
	padding-bottom: 7px;
	width: 60%;
	border-radius: 5px;

}
.missionSmallDisplay_null{
	background : linear-gradient(350deg, rgba(255,138,0,1), rgba(0,0,0,0.63));
}

.missionSmallDisplay_true{
	background : linear-gradient(350deg, green, rgba(255,255,255,0.2));
}

.yourMission{
    width: 40%;
    height: 80%;
    border-radius: 5px;
    padding: 2%;
    background: #29abe2;
    border: none;
    cursor: pointer;
    
    color: white;
    margin-left: 1%;
    margin-top: 0.5cm;
    margin-bottom: 1cm;

    outline:none;
}

.yourMission:hover{
	background-color: #136AC5;
	outline: none;
}

.allMission{
	width: 40%;
    height: 80%;
    border-radius: 5px;
    padding: 2%;
    background: white;
    border: none;
    cursor: pointer;
    
    color: black;
    margin-left: 1%;
    margin-top: 0.5cm;
    margin-bottom: 1cm;
}
.allMission:hover{
	background: grey;
	outline : none;
	color : white;
}


.right-text{
	text-align: right;
	align-items : right;
}
.btn{
  width: 100%;
  text-align: left;
}

.profileLogin{
  font-size: 1cm;
}

.profileScore{
  font-size: 0.7cm;
  padding-top: 1cm;
}

.profileStar{
  font-size: 2cm;
}
.ratingButton{
  background: transparent;
  border : none;
  color : white;
  outline: none;
}

.starFontSize{
  font-size: 0.5cm;
}
.ratingButton:focus{
  outline:none;
}
.rating {
  unicode-bidi: bidi-override;
  direction: rtl;
}
.rating > button {
  display: inline-block;
  position: relative;
  width: 1.1em;
}
.rating > button:hover:before,
.rating > button:hover ~ button:before {
   content: "\2605";
   position: absolute;
   color : yellow;
   outline: none;
}

.btnMission{
  width: 102.5%;
  background-color: transparent;
  margin-left: -0.3cm;
  border : none;
}

.reponseh1{
  font-size: 0.7cm;
  border : 1px gray;
  background: grey;
  width: 65%;
  height: 125%;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}

.missionStatut_true{
	color : green;
}

.restrainMission{
  	width: 97.5%;
}

.popup-showMission{

  background: linear-gradient(340deg,rgba(0,0,0,1),rgba(41,171,226,0.9));
  border-radius: 2.5rem;
  z-index: 10;
  position: fixed;
  
  top:0;
  right:0;
  left :0;
  overflow: auto;
  margin: auto; 
  height: 15cm; 
  max-height: 10cm;
  margin-top: 1cm;
  padding: 1cm;
  width: 65%;
}

.providerName{
  font-size: 0.2cm;
}


.newsprovider{

  margin:auto;
  margin-top : 0.25cm;
  width : 75%;
  text-align: center;
  font-size : 0.4cm;
  font-weight:  bold;
  padding: 0.1cm;

  border-bottom: 1px solid grey;
  margin-bottom: 0.5cm;
}



.spaceTop{
  margin-top : 0.2cm;
}
.spaceTop2x{
  margin-top : 0.4cm;
}
.spaceTop3x{
  margin-top : 0.6cm;
}

.spaceBot{
  margin-bottom : 0.2cm;
}
.spaceBot2x{
  margin-bottom : 0.4cm;
}
.spaceBot3x{
  margin-bottom : 0.6cm;
}

.highlight{
  width: 40cm;
}
.highlight:hover{
  background-color: grey;
}


.entete{
  border-bottom : 5px solid grey;
}

.articleURL{
  text-align: left;
}

.articleSource{
  font-size: 0.3cm;
}


.popup{
  z-index: 10;
  position: fixed;
	margin: auto;  
	left: 0;
	right: 0;  	
}

.popup-addMission{
  z-index: 10;
  position: fixed;
  margin: auto;  
  left: 0;
  right: 0;   
  top : 0%;
  width: 40em;
}

.profile{
  height: 10em;
}

.recherche{
  padding-top:1em;
  padding-bottom:1em;
  height: 100%;
  text-align: center;
  text-decoration-color: aqua;
  font-size: 14px;
  border: 1px 
}

.recherche textarea{
  width : 100%;
}

.left-panel{
  padding: 0cm;
  width: 0cm;
  border-right: 5px solid grey;
}

.right-panel{
  border-left: 5px solid grey;
}

.cadreMission{
  padding-left: 1em;
  padding-right: 2em;
  margin-left: 10px;
  border-radius: 1px;
  border-width: 1px;
  background-color: GREY   ;
  border: 1rem GREY   solid;;
  
}

.CadreCommentaire{

  
  
}

.missionTitre{
  font-size: 0.5cm;
  font-weight: bold;
  margin-top: 0.3cm;
}

.missionDomaine{
  font-size: 0.5cm;
  margin-top: -0cm;
}
.missionDescription{
  margin-top: 1cm;
}

.right-side{
  text-align: right;
  align-items: right;
}
.left-side{
  text-align: left;
  align-items: left;
}

.top-border-mission{
  margin-top: 0.5cm;
  border-top: 1px solid grey;
}

.bottom-border-mission{
  border-bottom: 1px solid grey;
}

.mission{
  border-bottom: 1px solid grey;
  margin-left: 
}

.mission:hover{
}

.message{
  resize: none;
  width: 100%;
  height: 8em;
}

.commentaire{
  resize: none;
  width: 80%;
  height: 8em;
  margin-left : 20px;
}

.btnAddReponse{
  background: linear-gradient(340deg,rgba(0,0,0,1),rgba(41,171,226,0.9));
  color :white;
  border : none;
  border-radius: 10px;
  font-size: 0.6cm;
  padding: 0.2cm;
}

.btnNoter{
  background: transparent;
  color : white;
  border : none;
}

.deleteReponse{
  color : white;
   background: red;
   border : none;
   border-radius: 5px;
   padding: 0.1cm;
   margin-top: -0.9cm;
}
.deleteReponse:hover{
    color : red;
   background: white;
}

.deleteMission{
    margin-top: -0.2cm;
    border-radius: 5px;
    color : white;
    background: red;
    border : none;
    font-size: 0.6cm;
}

.deleteMission:hover{
    color : red;
    background: white;
}

.sucessful{
	padding: 5px;
	text-align: center;
	border-radius : 7px;
  	color : white;
  	background: green;
}

.awaiting{
  color : orange;
}

.refused{
  	padding: 5px;
	text-align: center;
	border-radius : 7px;
  	color : white;
  	background: red;
}

.btnValidate{
  padding: 0.2cm;
  border-radius: 10px;
  align-items: center;
  text-align: center;
  background-color:green;
  border : none;
  color : white;
}

.btnValidate:hover{
  color : green;
  background: white;
}

.btnRefuse{
  padding: 0.2cm;
  border-radius: 10px;
  align-items: center;
  text-align: center;
  background-color:red;
  border : none;
  color : white;
}

.btnRefuse:hover{
  background: white;
  color : red;
}
.btnNoter{

}

.btncommenter
{  
    float:right;
    width: 10%;
    height: 1%;
    border-radius: 1rem;
    padding: 1%;
    color: blue;
    background-color: white;
    border: none;
    cursor: pointer;
  
    margin-left: 1%;
    margin-top: 1%;
    margin-bottom: 4%;
}


.btnpublish
{  
    float:right;
    width: 15%;
    height: 20%;
    border-radius: 1rem;
    padding: 1%;
    color: blue;
    background-color: white;
    border: none;
    cursor: pointer;
  
    margin-left: 1%;
    margin-top: 1%;
    margin-bottom: 4%;
}

.btnCreateMission
{  
  margin:auto;
  display :block;

  background-color: white;
  border-color: white;
  color : black;
  border-radius: 8px;


  margin-top: 0.3cm;
  padding: 0.2cm;
}

.btnCreateMission:hover
{  
  margin:auto;
  display :block;

  background-color: grey;
  border-color: grey;
  color : white;
  border-radius: 8px;

  margin-top: 0.3cm;
  padding: 0.2cm;
}

.center {
  margin:auto;
  text-align: center;
}


.logo {
  background-color: none;
  border-radius: 30px;
  width: 50%;
  margin-left:3em;
}




div input{
  color: white;
}
input{
  color:white;
}
.form-group input{
  color:black;
  margin : auto;
}



.inputLogin{
  margin: auto;
  border-radius: 10px;
  color:black;
  width : 200px;
  padding: 8px;
  margin-top : 10px;
}



.SignIncenter{
  margin:auto;
  left: 50px;
}

.SignIncenterButton{
  margin-top: 50px;
  left:25px;
}

.SignIncenterButtonPlus{
  left: 225px;
}

textarea{
  color:black;
}


.btnLogMainPageBlue
{  
    float:right;
    width: 30%;
    height: 80%;
    border-radius: 1rem;
    padding: 5%;
    color: #fff;
    background: #29abe2;
    border: none;
    cursor: pointer;
    
    color: #f8f9fa;
    color: white;
    margin-left: 1%;
    margin-top: 0.1cm;
    margin-bottom: 0.3cm;
}

.btnLogMainPage
{  
    float:right;
    width: 30%;
    height: 80%;
    border-radius: 1rem;  
    padding: 5%;
    border: none;
    cursor: pointer;
    
    background-color: grey;
    color: white;
    margin-left: 1%;
    margin-top: 0cm;
    margin-bottom: 10%;
}

.btnContactSubmit
{  
    width: 80%;
    border-radius: 1rem;
    padding: 2%;
    color: #fff;
    background-color: #0062cc;
    border: none;
    cursor: pointer;
    margin-right: 0%;
    background-color: white;
    color: blue;
    margin-top: 4%;
}
.register .nav-tabs .nav-link:hover{
    border: none;
}
.text-align{
    margin-top: -3%;
    margin-bottom: -9%;

    padding: 10%;
    margin-left: 30%;
}



.form-text{
  width: 80%;
  padding: 10px;
  text-align: left;
  border-radius: 7px;
  margin : auto;
}

.form-content{
  resize:none;
  width: 100%;
  padding: 1%;
  height: 200px;
  text-align: ;
  border-radius: 20px;
}

.form-new{
    margin-right: 22%;
    margin-left: 20%;
}
.register-heading{
    margin-bottom:5%;
    color: #e9ecef;
    text-align:center
}
.register-heading h1{
    margin-left: 21%;
    margin-bottom: 10%;
    color: #e9ecef;
}
.btnLoginSubmit{
    border-radius: 1rem;
    border: none;
    padding: 1.2%;
    width: 25%;
    height: 35px;
    margin : auto;
    margin-top: 0.5cm;
    cursor: pointer;
    background: #29abe2;
    color: #fff;
}
.right{
  float: right;
}

.btnFormSubmit{
    margin-top: 0cm;
    border-radius: 1rem;
    border: none;
    padding: 1.2%;
    width: 50%;
    height: 35px;
    cursor: pointer;
    background: #29abe2;
    color: white;
}

.btnFormSubmitMiss{
    border-radius: 1rem;
    border: none;
    padding: 1.2%;
    width: 50%;
    height: 35px;
    cursor: pointer;
    background: #29abe2;
    color: white;
}

.get-right{
  position: absolute;
  right: 50px;
}

.btnFormCancel{
    margin-top: 0.1cm;
    border-radius: 1rem;
    border: none;
    padding: 1.2%;
    width: 50%;
    height: 35px;
    cursor: pointer;
    background: blank;
    color: black;
}

.btnLoginCreate{
    border-radius: 1rem;
    border: none;
    padding: 1.2%;
    width: 40%;
    cursor: pointer;
    background: #29abe2;
    color: #fff;
    margin-top : 10px;
}





.btnForgetPwd{
    cursor: pointer;
    color: #f8f9fa;
    background: transparent;
    border: none;
    margin : auto;
}
.register{
    background: linear-gradient(340deg,rgba(0,0,0,1),rgba(41,171,226,0.9));
    margin-top: 3%;
    padding: 3%;
    border-radius: 2.5rem;
    width:10em;
}

.sendMission{
    background: linear-gradient(340deg,rgba(0,0,0,1),rgba(41,171,226,0.9));
    margin-top: 3%;
    padding: 3%;
    border-radius: 2.5rem;
    width:55%;
}
.sendMission-heading{
    margin-bottom:5%;
    color: #e9ecef;
    text-align:center
}
.sendMission-heading h1{
    margin-left: 21%;
    margin-bottom: 10%;
    color: #e9ecef;
}

.nav-tabs .nav-link{
    border: 1px solid transparent;
    border-top-left-radius: .25rem;
    border-top-right-radius: .25rem;
    color: white;
}

.profilepopup{
    background: -webkit-linear-gradient(left, #3931af, #00c6ff);
    font-size:15px;
    margin-top: -50em;
    padding: 3%;
    border-radius: 2.5rem;
    width:75%;
    height:60%;
    margin-bottom:1%
}



.relation {
  font-size:20px;
  border-left: 6px solid red;
  background-color: lightgrey;
  width: 17.5%
}

.btnCommentaire
{  
    margin-top:1%;
    margin-left: 10%;
    font-size:20px;
    width: 100%;
    border-radius: 1rem;
    padding: 0.5%;
    border: none;
    cursor: pointer;
    background-color: white;
    color: blue;
    
}

.btnCommenter
{  
    margin-top:5%;
    margin-left: 10%;
    font-size:20px;
    width: 60%;
    border-radius: 1rem;
    padding: 0.5%;
    border: none;
    cursor: pointer;
    background-color: blue;
    color: white;
    
}

.btnnotcommenter
{  
    margin-top:1%;
    margin-left: 10%;
    font-size:17px;
    width: 12%;
    border-radius: 1rem;
    padding: 0.5%;
    border: none;
    cursor: pointer;
    background-color: blue;
    color: white;
    
}


.btnrepondre{
  width: 40%;

}

.button {
  margin-top:5em;
}

.btnProfile
{  
    margin-top:1%;
    margin-left: 10%;
    font-size:20px;
    width: 100%;
    border-radius: 1rem;
    padding: 0.5%;
    border: none;
    cursor: pointer;
    background-color: transparent;
    color: white;
}

.btnClose{  
    margin-top:1%;
    margin-left: 10%;
    font-size:20px;
    width: 100%;
    border-radius: 1rem;
    padding: 1%;
    border: none;
    cursor: pointer;
    background-color: transparent;
    color: white;
}

.login-container{
  width : 750px;
}